Bug 284895 - Crash when trying to tag a corrupted file with MusicBrainz [@ MusicDNSAudioDecoder::run]
Summary: Crash when trying to tag a corrupted file with MusicBrainz [@ MusicDNSAudioDe...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.5-git
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
: 302156 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-10-24 19:23 UTC by Unknown
Modified: 2012-07-12 13:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments
Corrupted file (compressed) (9.62 KB, application/zip)
2011-10-30 00:01 UTC, Unknown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Unknown 2011-10-24 19:23:11 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.6.5 (4.6.5)
Qt Version: 4.7.3
Operating System: Linux 3.0.0-1-amd64 x86_64
Distribution: Debian GNU/Linux testing (wheezy)

-- Information about the crash:
- What I was doing when the application crashed:
I had a few corrupted files which I couldn't even play but I tried to tag them with MusicBrainz and it resulted in crash (probably when Amarok stared to hash first file).

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Floating point exception
__lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7f63e3ee3780 (LWP 7939))]

Thread 16 (Thread 0x7f63b2867700 (LWP 7944)):
#0  0x00007f63dcffd145 in __pthread_mutex_lock (mutex=0x11e3fd8) at pthread_mutex_lock.c:61
#1  0x00007f63da312986 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x00007f63da313879 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f63da313f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f63e114bb26 in QEventDispatcherGlib::processEvents (this=0x112dd80, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f63e11201c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f63e11203bf in QEventLoop::exec (this=0x7f63b2866dd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f63e10381ef in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#8  0x00007f63e11031ef in QInotifyFileSystemWatcherEngine::run (this=0x11ccd60) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f63e103ac05 in QThreadPrivate::start (arg=0x11ccd60) at thread/qthread_unix.cpp:320
#10 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#11 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f63b0427700 (LWP 7946)):
[KCrash Handler]
#6  0x00007f63e300c7bf in MusicDNSAudioDecoder::run (this=0x12da6d0) at ../../src/musicbrainz/MusicDNSAudioDecoder.cpp:224
#7  0x00007f63de5a3681 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f63b0426da0, th=0x163ff70, job=0x12da6d0) at ../../../threadweaver/Weaver/Job.cpp:106
#8  0x00007f63de5a37ac in ThreadWeaver::Job::execute (this=0x12da6d0, th=0x163ff70) at ../../../threadweaver/Weaver/Job.cpp:135
#9  0x00007f63de5a2e8f in ThreadWeaver::ThreadRunHelper::run (this=0x7f63b0426e20, parent=0x163f770, th=0x163ff70) at ../../../threadweaver/Weaver/Thread.cpp:95
#10 0x00007f63de5a2f4b in ThreadWeaver::Thread::run (this=0x163ff70) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x00007f63e103ac05 in QThreadPrivate::start (arg=0x163ff70) at thread/qthread_unix.cpp:320
#12 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#13 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f63afa1c700 (LWP 7947)):
#0  0x00007f63e07dfe63 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f63e1148796 in qt_safe_select (nfds=89, fdread=0x7f63afa1b540, fdwrite=0x7f63afa1b5c0, fdexcept=0x0, orig_timeout=<optimized out>) at kernel/qcore_unix.cpp:82
#2  0x00007f63e10febca in select_msecs (fdwrite=<optimized out>, fdread=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at io/qprocess_unix.cpp:883
#3  select_msecs (nfds=<optimized out>, fdread=<optimized out>, fdwrite=<optimized out>, timeout=<optimized out>) at io/qprocess_unix.cpp:880
#4  0x00007f63e10ffbb4 in QProcessPrivate::waitForReadyRead (this=0x7f63a815e2b0, msecs=-1) at io/qprocess_unix.cpp:964
#5  0x00007f63b3164fbd in ScannerJob::getScannerOutput (this=0x2a7f5d0) at ../../../../../../src/core-impl/collections/db/ScanManager.cpp:710
#6  0x00007f63b316607e in ScannerJob::run (this=0x2a7f5d0) at ../../../../../../src/core-impl/collections/db/ScanManager.cpp:511
#7  0x00007f63de5a3681 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f63afa1bda0, th=0x14c2b40, job=0x2a7f5d0) at ../../../threadweaver/Weaver/Job.cpp:106
#8  0x00007f63de5a37ac in ThreadWeaver::Job::execute (this=0x2a7f5d0, th=0x14c2b40) at ../../../threadweaver/Weaver/Job.cpp:135
#9  0x00007f63de5a2e8f in ThreadWeaver::ThreadRunHelper::run (this=0x7f63afa1be20, parent=0x163f770, th=0x14c2b40) at ../../../threadweaver/Weaver/Thread.cpp:95
#10 0x00007f63de5a2f4b in ThreadWeaver::Thread::run (this=0x14c2b40) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x00007f63e103ac05 in QThreadPrivate::start (arg=0x14c2b40) at thread/qthread_unix.cpp:320
#12 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#13 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f63af21b700 (LWP 7948)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63e103b09b in wait (time=18446744073709551615, this=0x1574e10) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x163fa80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f63de5a1a54 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x163f770, th=0x7f63b80359e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f63de5a3ffb in ThreadWeaver::WorkingHardState::applyForWork (this=0x163fba0, th=0x7f63b80359e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f63de5a4014 in ThreadWeaver::WorkingHardState::applyForWork (this=0x163fba0, th=0x7f63b80359e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f63de5a2ebf in ThreadWeaver::ThreadRunHelper::run (this=0x7f63af21ae20, parent=0x163f770, th=0x7f63b80359e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f63de5a2f4b in ThreadWeaver::Thread::run (this=0x7f63b80359e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f63e103ac05 in QThreadPrivate::start (arg=0x7f63b80359e0) at thread/qthread_unix.cpp:320
#9  0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#10 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f63aea1a700 (LWP 7949)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63e103b09b in wait (time=18446744073709551615, this=0x1574e10) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x163fa80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f63de5a1a54 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x163f770, th=0x7f63b8033e90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f63de5a3ffb in ThreadWeaver::WorkingHardState::applyForWork (this=0x163fba0, th=0x7f63b8033e90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f63de5a4014 in ThreadWeaver::WorkingHardState::applyForWork (this=0x163fba0, th=0x7f63b8033e90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f63de5a2ebf in ThreadWeaver::ThreadRunHelper::run (this=0x7f63aea19e20, parent=0x163f770, th=0x7f63b8033e90) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f63de5a2f4b in ThreadWeaver::Thread::run (this=0x7f63b8033e90) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f63e103ac05 in QThreadPrivate::start (arg=0x7f63b8033e90) at thread/qthread_unix.cpp:320
#9  0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#10 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f63adbd8700 (LWP 7950)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63d6a0fbc7 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007f63d6a0fd29 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#4  0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f63a77fe700 (LWP 7953)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63dd5db062 in ?? () from /usr/lib/libQtScript.so.4
#2  0x00007f63dd5db099 in ?? () from /usr/lib/libQtScript.so.4
#3  0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#4  0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f6395ea8700 (LWP 7956)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63c379dcef in gst_base_sink_wait_preroll () from /usr/lib/libgstbase-0.10.so.0
#2  0x00007f63bd7de5d8 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#3  0x00007f63c379f6c7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#4  0x00007f63c37a1f0f in ?? () from /usr/lib/libgstbase-0.10.so.0
#5  0x00007f63c37a2267 in ?? () from /usr/lib/libgstbase-0.10.so.0
#6  0x00007f63c37a264f in ?? () from /usr/lib/libgstbase-0.10.so.0
#7  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f63c37af9a7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#9  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f63c37af9a7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f63c37af9a7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f63bc97e6ba in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#15 0x00007f63c3a54420 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f63da33d3e4 in ?? () from /lib/libglib-2.0.so.0
#17 0x00007f63da33acf6 in ?? () from /lib/libglib-2.0.so.0
#18 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#19 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f63951e6700 (LWP 7957)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63bc97d7ad in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f63bc98861f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f63c37af9a7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#8  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f63c37af9a7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f63bc97e6ba in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#12 0x00007f63c3a54420 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007f63da33d3e4 in ?? () from /lib/libglib-2.0.so.0
#14 0x00007f63da33acf6 in ?? () from /lib/libglib-2.0.so.0
#15 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#16 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f63949e5700 (LWP 7958)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63bc97d7ad in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f63bc9881d0 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f63bc98861f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f63c37af9a7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#9  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f63c37af9a7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f63bc97e6ba in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#13 0x00007f63c3a54420 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f63da33d3e4 in ?? () from /lib/libglib-2.0.so.0
#15 0x00007f63da33acf6 in ?? () from /lib/libglib-2.0.so.0
#16 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#17 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f63941e4700 (LWP 7959)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63bc97d7ad in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f63bc9881d0 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f63bc98861f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f63bc97e6ba in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0x00007f63c3a54420 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f63da33d3e4 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007f63da33acf6 in ?? () from /lib/libglib-2.0.so.0
#11 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#12 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f63939e3700 (LWP 7960)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63bc97d7ad in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f639547aec4 in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#6  0x00007f639547bdff in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#7  0x00007f63c3a2de8c in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f63c379374f in gst_base_parse_push_frame () from /usr/lib/libgstbase-0.10.so.0
#9  0x00007f63c3794366 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x00007f63c379664d in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0x00007f63c3a54420 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f63da33d3e4 in ?? () from /lib/libglib-2.0.so.0
#13 0x00007f63da33acf6 in ?? () from /lib/libglib-2.0.so.0
#14 0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#15 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#16 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f63bd7cd700 (LWP 8859)):
#0  0x00007f63e07db723 in *__GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f63d773617f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f63d772759c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f63d7727c09 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f63d7727cc0 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f63d773612f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f63cfc18998 in ?? () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.0.so
#7  0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#8  0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f638e774700 (LWP 8867)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63e103b09b in wait (time=18446744073709551615, this=0x25936f0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2593118, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f63e2027aa4 in QFileInfoGatherer::run (this=0x2593108) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007f63e103ac05 in QThreadPrivate::start (arg=0x2593108) at thread/qthread_unix.cpp:320
#5  0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#6  0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f63931e2700 (LWP 8868)):
#0  0x00007f63e07db723 in *__GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f63da3139e4 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f63da313f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f63e114bb26 in QEventDispatcherGlib::processEvents (this=0x268a860, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f63e11201c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f63e11203bf in QEventLoop::exec (this=0x7f63931e1dd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f63e10381ef in QThread::exec (this=<optimized out>) at thread/qthread.cpp:492
#7  0x00007f63e11031ef in QInotifyFileSystemWatcherEngine::run (this=0x2593930) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f63e103ac05 in QThreadPrivate::start (arg=0x2593930) at thread/qthread_unix.cpp:320
#9  0x00007f63dcffab40 in start_thread (arg=<optimized out>) at pthread_create.c:304
#10 0x00007f63e07e636d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f63e3ee3780 (LWP 7939)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1  0x00007f63dcffd329 in _L_lock_926 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007f63dcffd14b in __pthread_mutex_lock (mutex=0x1074f88) at pthread_mutex_lock.c:61
#3  0x00007f63da33b128 in g_static_rec_mutex_lock () from /lib/libglib-2.0.so.0
#4  0x00007f63c3a253c1 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f63c3a2cfdd in gst_pad_activate_push () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007f63c3a2ceeb in gst_pad_activate_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f63c3a2db57 in gst_pad_set_active () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f63c39f9e73 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f63c3a1f6be in gst_iterator_fold () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f63c39f9d53 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f63c39ff6f5 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f63c3a11a4c in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007f63c3a11acf in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f63c3a12432 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007f63c3cd50a7 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_gstreamer.so
#16 0x00007f63c3cec059 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_gstreamer.so
#17 0x00007f63dde3e124 in Phonon::MediaNodePrivate::deleteBackendObject() () from /usr/lib/libphonon.so.4
#18 0x00007f63dde29050 in ?? () from /usr/lib/libphonon.so.4
#19 0x00007f63dde29359 in ?? () from /usr/lib/libphonon.so.4
#20 0x00007f63e0747d82 in __run_exit_handlers (status=1, listp=0x7f63e0a8f4c8, run_list_atexit=true) at exit.c:78
#21 0x00007f63e0747dd5 in *__GI_exit (status=17256328) at exit.c:100
#22 0x00007f63e1bac878 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:772
#23 0x00007f63e38f0e38 in KApplication::xioErrhandler (this=0x7fffc10608c0, dpy=0xc1fe30) at ../../kdeui/kernel/kapplication.cpp:419
#24 0x00007f63e266030e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#25 0x00007f63e265db8d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#26 0x00007f63e264e50f in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#27 0x00007f63e1be47fc in x11EventSourceCheck (s=0xc01890) at kernel/qguieventdispatcher_glib.cpp:85
#28 0x00007f63da31311c in g_main_context_check () from /lib/libglib-2.0.so.0
#29 0x00007f63da313a02 in ?? () from /lib/libglib-2.0.so.0
#30 0x00007f63da313f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
#31 0x00007f63e114babf in QEventDispatcherGlib::processEvents (this=0xa65cb0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#32 0x00007f63e1be49ce in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#33 0x00007f63e11201c2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f63e11203bf in QEventLoop::exec (this=0x7fffc1060850, flags=...) at kernel/qeventloop.cpp:201
#35 0x00007f63e1124567 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#36 0x00000000004093b1 in main (argc=1, argv=0x7fffc1062ec8) at ../../src/main.cpp:289

Reported using DrKonqi
Comment 1 Sergey Ivanov 2011-10-29 05:43:37 UTC
Could you please mail me this file for tests, I can't reproduce this crash here.
Comment 2 Myriam Schweingruber 2011-10-29 11:18:05 UTC
Setting status correctly.
Comment 3 Unknown 2011-10-29 23:57:46 UTC
(In reply to comment #1)
> Could you please mail me this file for tests, I can't reproduce this crash
> here.

OK, I will send it, but the smallest is 9,3 MiB.
Comment 4 Unknown 2011-10-30 00:01:26 UTC
Created attachment 65029 [details]
Corrupted file (compressed)

This file is 9,3 MiB big after decompression. It contains mostly zeros (except header).
Comment 5 Sergey Ivanov 2011-10-30 15:06:00 UTC
Git commit 44a9496f9a22ae5e7d6c8b4cbfeefd301cb829cc by Sergey Ivanov.
Committed on 30/10/2011 at 09:06.
Pushed by ivanov into branch 'master'.

Fixed crash on decodeing currupted media during MusicDNS search.
BUG: 284895

M  +1    -0    ChangeLog
M  +22   -15   src/musicbrainz/MusicDNSAudioDecoder.cpp

http://commits.kde.org/amarok/44a9496f9a22ae5e7d6c8b4cbfeefd301cb829cc
Comment 6 Myriam Schweingruber 2012-06-18 22:48:56 UTC
*** Bug 302156 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2012-06-18 22:50:21 UTC
Sergej, could you please have a look? This is still happening in Amarok 2.5-git.
Comment 8 Adria 2012-06-25 09:03:36 UTC
It happens to me, too in 2.5-git, but with non-corrupted files. If you need further info, do not hesitate to ask :)
Comment 9 Sergey Ivanov 2012-07-12 13:26:55 UTC
Git commit 5e609a6dccb523655205eabc29d26cda503796c2 by Sergey Ivanov.
Committed on 19/06/2012 at 20:58.
Pushed by ivanov into branch 'master'.

Increase minimal requiered ffmpeg version up to 0.7.
Fix crash on MusicDNS search.
FIXED-IN: 2.6

M  +1    -1    CMakeLists.txt
M  +1    -0    ChangeLog
M  +53   -1    cmake/modules/FindFFmpeg.cmake
M  +2    -0    src/CMakeLists.txt
M  +25   -33   src/musicbrainz/MusicDNSAudioDecoder.cpp

http://commits.kde.org/amarok/5e609a6dccb523655205eabc29d26cda503796c2